<?php
namespace Neuron\Sample\Person\Controller;

use Zend\View\Model\ViewModel;
use Neuron\Person\Person;

class Index extends Controller {

    public function onDispatch(\Zend\Mvc\MvcEvent $e) {

        /* global libraries, used on all views */
        $this->using('jquery', false)
            ->using('bootstrap');

        return parent::onDispatch($e);
    }

    public function indexAction() {

        $view = new ViewModel();

        /* local libraries, used on this view only */
        $this->using('font-awesome', true, false);

        try {
            $text = '<p>Howdy, this is ' . __FILE__ . ' indexAction!</p>';
        } catch (\Exception $ex) {
            $text = $ex->getMessage();
        }

        /* test new person & send vars */
        $view->setVariables(array(
            'text' => $text,
            'config' => $this->getConfig(),
        ));
        return $view;
    }

}
